Imagick::setSamplingFactors
Imagick::setSizeOffset
Imagick
PHP Manual

# Imagick::setSize

(PECL imagick 2.0.0)

Imagick::setSize — Sets the size of the Imagick object

### Description

bool Imagick::setSize ( int `$columns` , int `$rows` )

Sets the size of the Imagick object. Set it before you read a raw image format such as RGB, GRAY, or CMYK.

### Parameters

`columns`

`rows`

### Return Values

Returns `TRUE` on success.

Imagick::setSamplingFactors
Imagick::setSizeOffset
Imagick
PHP Manual